Package io.milvus.param.partition

## Class HasPartitionParam.Builder

- java.lang.Object
- - io.milvus.param.partition.HasPartitionParam.Builder

- Enclosing class:
    HasPartitionParam

      public static final class HasPartitionParam.Builder
      extends java.lang.Object

  Builder for `HasPartitionParam` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `HasPartitionParam` | `build()` | Verifies parameters and creates a new `HasPartitionParam` instance.
    `HasPartitionParam.Builder` | `withCollectionName​(@NonNull java.lang.String collectionName)` | Sets the collection name.
    `HasPartitionParam.Builder` | `withPartitionName​(@NonNull java.lang.String partitionName)` | Sets the partition name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withCollectionName

          public HasPartitionParam.Builder withCollectionName​(@NonNull
                                                              @NonNull java.lang.String collectionName)

      Sets the collection name. Collection name cannot be empty or null.
      Parameters:
        `collectionName` - collection name
      Returns:
        `Builder`

    - #### withPartitionName

          public HasPartitionParam.Builder withPartitionName​(@NonNull
                                                             @NonNull java.lang.String partitionName)

      Sets the partition name. Partition name cannot be empty or null.
      Parameters:
        `partitionName` - partition name
      Returns:
        `Builder`

    - #### build

          public HasPartitionParam build()
                                  throws ParamException

      Verifies parameters and creates a new `HasPartitionParam` instance.
      Returns:
        `HasPartitionParam`
      Throws:
        `ParamException`